Bug 147658 - Correct smbmount bin_t fix
Summary: Correct smbmount bin_t fix
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict   
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-10 03:18 UTC by Ivan Gyurdiev
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 14:03:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ivan Gyurdiev 2005-02-10 03:18:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
Argh - the search rule is needed, and I removed
it by accident in the last patch I sent you. 
The execute is not needed - the search is still required.

--- samba.te   2005-02-09 22:11:31.000000000 -0500
+++ samba.new    2005-02-09 22:11:22.000000000 -0500
@@ -164,6 +164,7 @@
 r_dir_file(smbmount_t, proc_t)

 # Fork smbmnt
+allow smbmount_t bin_t:dir search;
 can_exec(smbmount_t, smbmount_exec_t)
 allow smbmount_t self:process { fork signal_perms };



Version-Release number of selected component (if applicable):
selinux-policy-strict-1.21.11-2

How reproducible:
Always

Steps to Reproduce:
1. See summary

Additional info:

Comment 1 Daniel Walsh 2005-02-10 14:03:23 UTC
allow smbmount_t bin_t:dir r_dir_perms;

Is in the current policy


Note You need to log in before you can comment on or make changes to this bug.